=head1 NAME

Gnome2::Wnck::Workspace

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gnome2::Wnck::Workspace



=cut


=head1 METHODS

=head2 $space-E<gt>B<activate> ($timestamp)

=over

=item * $timestamp (unsigned) 

=back

=head2 $space-E<gt>B<change_name> ($name)

=over

=item * $name (string) 

=back

=head2 integer = $space-E<gt>B<get_height> 

=head2 boolean = $space-E<gt>B<is_virtual> 

=head2 integer = $space-E<gt>B<get_layout_column> 

=head2 integer = $space-E<gt>B<get_layout_row> 

=head2 string = $space-E<gt>B<get_name> 

=head2 workspace or undef = $space-E<gt>B<get_neighbor> ($direction)

=over

=item * $direction (Gnome2::Wnck::MotionDirection) 

=back

=head2 integer = $space-E<gt>B<get_number> 

=head2 screen = $space-E<gt>B<get_screen> 

=head2 integer = $space-E<gt>B<get_viewport_x> 

=head2 integer = $space-E<gt>B<get_viewport_y> 

=head2 integer = $space-E<gt>B<get_width> 



=cut


=head1 SIGNALS

=over

=item B<name-changed> (Gnome2::Wnck::Workspace)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gnome2::Wnck::MotionDirection

=over

=item * 'up' / 'WNCK_MOTION_UP'

=item * 'down' / 'WNCK_MOTION_DOWN'

=item * 'left' / 'WNCK_MOTION_LEFT'

=item * 'right' / 'WNCK_MOTION_RIGHT'

=back




=cut


=head1 SEE ALSO

L<Gnome2::Wnck>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2006 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2::Wnck> for a full
notice.



=cut

